<?php
session_start();
require_once ("../conexion.php");
require_once('../include/sesiones.php');
$ven_id=$_GET['id'];
$can1=mysqli_query($con,"SELECT * FROM ventas where ven_id='$ven_id' and empresa='$empresa'") or die(mysqli_error($con)); 
$dato1=mysqli_fetch_array($can1);
$ven_n_venta=$dato1['ven_n_venta'];
$ven_fecha=$dato1['ven_fecha'];
$Cliente_clie_id=$dato1['Cliente_clie_id'];
?>  

<form method="post" action="" id="editar_factura" name="editar_factura">
    <div id="resultados_dian"></div>
    <div class="form-group">
        <label>Numero Factura</label>
        <input type="text" name="numero_fac" id="numero_fac" class="form-control" value="<?php echo $ven_n_venta; ?>">
        <label>Fecha Factura</label>
        <input type="date" name="fecha_fac" id="fecha_fac" class="form-control" value="<?php echo $ven_fecha; ?>">
        <input type="hidden" name="fecha_vieja" id="fecha_vieja" class="form-control" value="<?php echo $ven_fecha; ?>">
        <input type="hidden" name="numero_viejo" id="numero_viejo" class="form-control" value="<?php echo $ven_n_venta; ?>">
        <input type="hidden" id="ven_id" name="ven_id" value="<?php echo $ven_id; ?>" class="form-control name_list" readonly>
        <input type="hidden" id="usu_nombre" name="usu_nombre" value="<?php echo $rol_nombre; ?>" class="form-control name_list" readonly>
        <label>Cliente</label>
        <section id="intro" >
            <select name="clie_id" id="clie_id" class="form-control name_list" >
                <?php
                $datos0=mysqli_query($con,"SELECT * FROM cliente WHERE empresa='$empresa' and clie_id='$Cliente_clie_id'") ;
                $fila0=mysqli_fetch_array($datos0);
                echo' <option value="'.$fila0['clie_id'].'">'.$fila0['clie_cc'].' - '.$fila0['clie_nombre'].'</option>';

                $datos=mysqli_query($con,"SELECT * FROM cliente WHERE empresa='$empresa' order by clie_nombre asc ") ;
                while($fila=mysqli_fetch_array($datos))
                {
                    echo' <option value="'.$fila['clie_id'].'">'.$fila['clie_cc'].' - '.$fila['clie_nombre'].'</option>';
                }
                ?>
            </select>
        </section>
    </div>
    <div class="modal-footer">
        <button type="button" class="btn btn-default" data-dismiss="modal">Cancelar</button>
        <button type="submit" name="btn_guardar_factura" class="btn btn-success" value="btn_guardar_factura" id="btn_guardar_factura">Guardar</button>
    </div>
</form>


<script>
$( "#editar_factura" ).submit(function( event ) {
$('#btn_guardar_factura').attr("disabled", true);

var parametros = $(this).serialize();
$.ajax({
    type: "POST",
    url: "php_doc_factura/editar_factura.php",
    data: parametros,
        beforeSend: function(objeto){
         $('#resultados_dian').html('<center><img src="./img/ajax-loader.gif"> CARGANDO...</center>');
        },
        success: function(datos){
        $("#resultados_dian").html(datos);
        $('#btn_guardar_factura').attr("disabled", false);
        // $('#enviar_fact').hide(); 
        load(1);
        }
    });
    event.preventDefault();
})
</script>